org.jboss.netty.channel

## Interface ServerChannelFactory

All Superinterfaces:
  ChannelFactory, ExternalResourceReleasable

All Known Subinterfaces:
  LocalServerChannelFactory, ServerSocketChannelFactory

All Known Implementing Classes:
  DefaultLocalServerChannelFactory, NioServerSocketChannelFactory, OioServerSocketChannelFactory

    public interface ServerChannelFactory
    extends ChannelFactory

A `ChannelFactory` that creates a `ServerChannel`.

### Method Summary

Methods
`ServerChannel` `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

### Methods inherited from interface org.jboss.netty.channel.ChannelFactory

`releaseExternalResources`

### Method Detail

#### newChannel

    ServerChannel newChannel(ChannelPipeline pipeline)

Description copied from interface: `ChannelFactory`
Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

Specified by:
  `newChannel` in interface `ChannelFactory`
Parameters:
  `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
Returns:
  the newly open channel